Last Comment Bug 817786 - Blocklist Request, Snap.do
: Blocklist Request, Snap.do
Status: RESOLVED FIXED
:
Product: Toolkit
Classification: Components
Component: Blocklisting (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-03 13:20 PST by Tyler Downer [:Tyler]
Modified: 2016-03-07 15:30 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Tyler Downer [:Tyler] 2012-12-03 13:20:39 PST
Snap.do does several bad things to Firefox:
1. Changes your Home Page, search provider, and new tab page to snap.do.
2. When uninstalled doesn't revert your settings to default.
3. The snap.do toolbar will overlay the location bar on occasion , making it difficult to use.
4. The Addon doesn't prompt any of our Install Dialogs in Firefox.

This is with snap.do version 1, ID helper@helperbar.com

I don't see any legitimate use for this addon from playing with it for awhile.
Comment 1 Kris Maglione [:kmag] 2012-12-03 13:53:13 PST
This can be installed from http://www.snap.do/

This thing is crazy... It does change the homepage and default search engine (and keyword.URL). It also changes the new tab page, but seems to do so by monkey patching rather than pref changes. It also has a toolbar, but it works via the extension inserting an empty toolbar and an external app drawing over it. Doesn't even seem to pay much attention to what Firefox window it's drawing over. It'll happily stick the thing over DOMi, for instance, and it'll only ever put it over one window at a time.
Comment 2 Jorge Villalobos [:jorgev] 2012-12-03 16:02:57 PST
(In reply to Tyler Downer [:Tyler] from comment #0)
> This is with snap.do version 1, ID helper@helperbar.com

Did you mean helperbar@helperbar.com?
Comment 3 Tyler Downer [:Tyler] 2013-01-03 13:46:13 PST
yes, that's what I mean, thanks for catching that. Just retested it today, still the same behavior.
Comment 4 Jorge Villalobos [:jorgev] 2013-01-07 10:12:26 PST
Sent a message to the communications team about this block, given that the add-on has a significant user base.
Comment 5 Jorge Villalobos [:jorgev] 2013-01-28 13:52:59 PST
Blocked: https://addons.mozilla.org/en-US/firefox/blocked/i258
Comment 6 Jorge Villalobos [:jorgev] 2013-02-13 12:41:08 PST
The block has been updated so that the fixed version (1.1) is no longer blocked.

Note You need to log in before you can comment on or make changes to this bug.